Перейти к содержанию
ingenerks

Opencart версия 1.5.5

Рекомендуемые сообщения

Вышла новая версия opencart 1.5.5 Я так понимаю основной участник создания версии ocStore - Yesvik сейчас занят своими делами и сроки появления на свет версии ocStore 1.5.5 не известны. По большому счету большой разницы между ocStore и Opecart нету, главное чего не хватает - это этих вещей в родном опенкарте.

  • Добавлены title и h1 для товаров и категорий;
  • Для статей добавлены title, h1, meta keywords и meta description;
  • Для производителей добавлены title, h1, meta keywords, meta description и description;
  • Добавлен альтернативный метод формирования ЧПУ исключающий формирование разных ссылок для одной страницы; Может нашим админам достаточно будет создать xml файл под vqmod, для внесения этих ихменений в родной опенкарт и можно будет его юзать и быстро обновляться на новые версии которые выходят на opencart.com!

  • +1 2

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

ingenerks еще вот это было

Оптимизирован алгоритм формирования списка категорий в админке;

Изменён алгоритм отображения списка категорий в админке;

Заменена модель категорий публичной части для существенного снижения нагрузки на mySql сервер;

Если нынешняя команда хорошо относится к вкумоду то будет xml-ка, а ежели нет... то только новая версия. Но мне почему то кажется что будет как раньше. Такова политика партии )))

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Да я знаю, что были и другие изменения, но я выделил те которые крайне важны, что бы начать юзать родной opencart!

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

запросы категорий - это тоже немаловажно...считаю это одной из ключевых проблем двигла..

Идея однозначно хорошая, дабы не ждать у моря погоды.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Было бы очень круто, если бы изменения были выложены в виде vqmod (xml файле). Хочешь пользуйся чистым opencart, хочешь через vqmod превращается в ocStore!

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Гос-да, ну куда Вы торопитесь? Оригинальный опенкарт обычно выходит, а потом ещё 1-2 недели глюки отлавливают. Не буду сильно оригинальным если скажу, что в ближайшие 1-2 недели выйдет Opencart 1.5.5.1. Да и кроме того пройдёт достаточно времени, пока для новой версии будут адаптированы модули и шаблоны... Имхо, самое оптимальное для рабочего магазина в боевом режиме использовать предыдущую версию (на текущий момент 1.5.4.1), а то и на 2 версии пониже (1.5.3.1) - есть модули и шаблоны, известны потенциальные проблемы, обкатана временем...А на локалхосте тестировать свежую версию

Может нашим админам достаточно будет создать xml файл под vqmod

Гиморно. Гиморно в отладке. Изменений порядочно. А вот в виде изменений (patch) было бы весьма полезно.

  • +1 2

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Было бы очень круто, если бы изменения были выложены в виде vqmod (xml файле). Хочешь пользуйся чистым opencart, хочешь через vqmod превращается в ocStore!

vqmod это тупиковая ветка развития. Это разработчики OpenCart понимают.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Гость brk

vqmod это тупиковая ветка развития. Это разработчики OpenCart понимают.

Но не разрабы vqmod-ов )

По мне так наоборот и ещё в дистрик прикрутят.

ИМХО

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

vqmod это тупиковая ветка развития. Это разработчики OpenCart понимают.

Тем не мене почему-то все выпускают кучу дополнений с помощью vqmod, у знакомого сайт 8000 товаров 30 дополнений vqmod, тормозов вообще не наблюдается, накрайняк после отладки, можно из папки vqcache заменить родные файлы и снести vqmod, если он сильно напрягает! Но тема вообще про другое :-)

Поддерживаю JohnnyVega на счет patcha в виде изменений было бы весьма полезно. Вместо vqmod!

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

По большому счету большой разницы между ocStore и Opecart нету, главное чего не хватает - это этих вещей в родном опенкарте.

  • Добавлены title и h1 для товаров и категорий;
  • Для статей добавлены title, h1, meta keywords и meta description;
  • Для производителей добавлены title, h1, meta keywords, meta description и description;
  • Добавлен альтернативный метод формирования ЧПУ исключающий формирование разных ссылок для одной страницы; Может нашим админам достаточно будет создать xml файл под vqmod, для внесения этих ихменений в родной опенкарт и можно будет его юзать и быстро обновляться на новые версии которые выходят на opencart.com!

Объясните пожалуйста что это за добавления title, h1, meta keywords, meta description???? Они же были во всех версиях Опенкарт. При добавлении товара, категории, новости вводишь их и все. Или мы о разном?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Объясните пожалуйста что это за добавления title, h1, meta keywords, meta description???? Они же были во всех версиях Опенкарт. При добавлении товара, категории, новости вводишь их и все. Или мы о разном?

Речь идет, что есть оригинальный OpenCart, брать с оригинального сайта http://www.opencart.com/ (а не клонов).

А есть клоны, ну или как хотите называйте. Это ocStore, MaxyStore, которые имеют отличия, которые вносят авторы этих клонов.

Если приемственность версий OpenCart, очевидна, то версии клонов это не дальнейшее развитие предыдущей версии, а новый клон на основе новой версии OpenCart.

Вот вышла новая версия OpenCart, теперь на основе ее, хотят автора клонов или нет, будут делать свои новые версии.

И не более, чтобы Вы их не просили. Например, ocStore 1.5.5 не будет новой версией ocStore 1.5.4.1, а будет клоном OpenCart 1.5.5.

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Если приемственность версий OpenCart, очевидна, то версии клонов это не дальнейшее развитие предыдущей версии, а новый клон на основе новой версии OpenCart.

это Вы откуда взяли ?

преемственность есть везде если конечно исключить переход с ветки 1.4 на ветку 1.5

а основная проблема обновлений это добавляются\пропадают переменные в шаблонах

база обновляется как в опенкарт так и в оксторе и наверно в максисторе

поэтому и возникают проблемы с обновлениями по большей части именно шаблонов

а насчет версии 1.5.5.1 чего Вы там такого для себя нашли что хотите уже обновляться ? или это просто привычка такая иметь все новое в и в максимальной комплектации типа виндовс ультимейт фотошоп чтобы картинкам размеры менять и так далее....

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

vqmod это тупиковая ветка развития. Это разработчики OpenCart понимают.

С первым предложением согласен на все 100%. Насчет второго.. где-то на оф.форуме читал что создатели опенкарта всерьез задумываются насчет включения vqmod в движок. Остается только надеяться что передумают..

Тем не мене почему-то все выпускают кучу дополнений с помощью vqmod,

Выпускают не потому что это нравится или потому что так проще, выпускают потому что в большинстве случаев это единственный способ сделать это дополнение. В опенкарте по сегодняшний день нету вообще никакой системы изменения логики работы магазина без правки кода самого движка. То есть или vqmod или ручная инструкиця (найти это, добавить это итд) или патчи

У других движках давно есть хуки, события, переопределение контроллеров итд.

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Если будет xml для vqmod, при выходе новой версии не придётся перелопачивать весь движок снова, а просто вносить изменения в этот xml и быстрее релизить новые версии ocStore. И к тому же каждый сможет из него выбросить то, что ему не нужно! Или при наличии patcha с изменениями, можно будет самому делать изменения для себя. В любом случае не помешал бы patch или xml. Например как добавить самому seo pro нигде нет информации. Приходится ждать пока выпустят новую версию, а при наличии patch или xml внес сам изменения в новый движок и поехал!

  • +1 2

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Если будет xml для vqmod, ...........

для этого существуют более продвинутые технологии

хотя я и не противник vqumod если там включить кеширование и пользоваться им с головой

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
FIXED

set the language class back tot he old style to avoid compatibility problems with extensions

add the load method for language back to the loader class

fixed an issue with deleting categories

Добили бедного Даниэля.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Добили бедного Даниэля.

да ещё бы )) почти все дополнения разом перестали работать )))

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

да ещё бы )) почти все дополнения разом перестали работать )))

Ну чего) был бы повод лишний раз обновить версии, а это шаг вперёд) Я тоже думаю, почему всё подключается как $this->load->[file], а язык $this->[lang]->load. Понятно, потому что библиотека вне loader.php, но он все-равно к этому придёт, рано или поздно. Просто мог бы уведомить за месяц мол приготовьтесь к радикальным изменениям.

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Просто мог бы уведомить за месяц мол приготовьтесь к радикальным изменениям.

А еще лучше оставить 2 метода - старый для совместимости со старыми модулями с пометкой "deprecated, не используйте этот метода, в будущих версиях его уберут" и новый уже для новых модулей. И все бы были довольны. Так нет, нужно кидаться из крайности в крайность.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Гость brk

А еще лучше оставить 2 метода - старый для совместимости со старыми модулями с пометкой "deprecated, не используйте этот метода, в будущих версиях его уберут" и новый уже для новых модулей. И все бы были довольны. Так нет, нужно кидаться из крайности в крайность.

Да, точно.

В админке можно будет выбрать "режим совместимости" с предыдущими версиями.

Ну в общем как надо

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Вроде бы как последняя 1.5.5.1 :wink:

ПС Поставил себе и руссифицировал, буду пробывать совместимость с шаблонами и модулями от 1.5.4.1)))

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

vqmod это тупиковая ветка развития. Это разработчики OpenCart понимают.

Что они понимают? Ровно половина разработчиков Опенкарт - автор vQmod (Qphoria).

Так что увы.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

А как ты его русифицировал?

По большому счету нет ни одного движка для интернет магазина, сравнимого с движком блогов - вордпресс. Все движки рассчитаны на программистов, а не пользователей. И корень проблемы - такой движок заберёт заработок у очень многих.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Да и что нового в версии?

И немного не пойму. Везде указано автоматическое изменение изображений. Вот только для каких изображений идет речь? При попытке вставить в описание изображение оно его не грузит ввиду ограничений на него, не говоря уже об автоматическом изменении.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

А как ты его русифицировал?

думаю что "загнал" ленгпак))) (русскоязычный пакет и в админке прописал путь до него)

Все движки рассчитаны на программистов, а не пользователей.

Богу- богово, кесарю- кесарево.

Когда вы покупаете автомобиль, Вы то же сетуете что нет конструктора, с помощью которого можно его собрать самостоятельно?

И корень проблемы - такой движок заберёт заработок у очень многих.

не совсем понял о чем речь, кто останется без работы и заработка? Работы всегда валом, проблем не возникало.

При попытке вставить в описание изображение оно его не грузит ввиду ограничений на него, не говоря уже об автоматическом изменении.

а вот тут уже поиск по форуму рулит, да и FTP еще ни кто не отменял (там нет ограничений)

и хотелось бы узнать зачем вам картинки товара размером 1000*300 и более? вы торгуете длинномерами и автопоездами? а обработать картинку самым примитивным графическим редактором секундное дело, если не умеете работать с фотошопом, вот вам неплохая альтернатива http://paintnet.ru/

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.